Bug 46663 - FrameLoaderClient::didTransferChildFrameToNewDocument needs access to old page
: FrameLoaderClient::didTransferChildFrameToNewDocument needs access to old page
Status: RESOLVED FIXED
: WebKit
Frames
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To:
:
:
:
: 44713
  Show dependency treegraph
 
Reported: 2010-09-27 15:23 PST by
Modified: 2010-10-31 18:06 PST (History)


Attachments
patch (26.49 KB, patch)
2010-09-27 17:25 PST, Jenn Braithwaite
no flags Review Patch | Details | Formatted Diff | Diff
rollback api change (26.83 KB, patch)
2010-10-28 15:28 PST, Jenn Braithwaite
dimich: review-
dimich: commit‑queue-
Review Patch | Details | Formatted Diff | Diff
updated patch (26.97 KB, patch)
2010-10-28 16:32 PST, Jenn Braithwaite
abarth: review+
abarth: commit‑queue+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-09-27 15:23:52 PST
Mac client needs access to the reparented frame's former page in order to update resource tracking (see bug 44713).
------- Comment #1 From 2010-09-27 17:25:41 PST -------
Created an attachment (id=68996) [details]
patch
------- Comment #2 From 2010-09-28 11:53:09 PST -------
This patch merely adds a parameter to  FrameLoaderClient::didTransferChildFrameToNewDocument(). Code to use it will be in a separate patch - probably the one that fixes bug 44713.
------- Comment #3 From 2010-09-28 15:27:40 PST -------
(From update of attachment 68996 [details])
Clearing flags on attachment: 68996

Committed r68576: <http://trac.webkit.org/changeset/68576>
------- Comment #4 From 2010-09-28 15:27:45 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #5 From 2010-10-14 11:18:32 PST -------
Turns out I don't need this API change after all because the update resource tracking trigger needs to go in WebCore and not the WebKit client layer.  What's the best way to revert this patch?   Or is it too late for a simple revert and I am better off entering a new bug and submitting a new patch to undo this change?
------- Comment #6 From 2010-10-14 12:08:07 PST -------
(In reply to comment #5)

Simple revert (with ChangeLog reflecting both changes) is just fine. No need for new bug.
------- Comment #7 From 2010-10-28 15:28:34 PST -------
Created an attachment (id=72245) [details]
rollback api change
------- Comment #8 From 2010-10-28 15:44:04 PST -------
(From update of attachment 72245 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=72245&action=review

Small ChangeLog nit.
r- since it's going via cq, so needs to be changed first.

> WebCore/ChangeLog:5
> +        Rollback:

Could you add revisions, as in: Rollback of <url to rev in trac>:

Also, since you edit it manually, lets add a reason for rollback (design changed, no need for parameter).

> WebKit/chromium/ChangeLog:5
> +        Rollback:

Ditto here (rev number and reason, also for all ChangeLogs)
------- Comment #9 From 2010-10-28 16:32:41 PST -------
Created an attachment (id=72256) [details]
updated patch

Added revision info and link along with description to ChangeLogs.
Put back a few extra lines of code that are still needed: oldPage local var in Frame.cpp, plus include and class declarations for Page. Page is now used elsewhere in the file, so it's not safe to rollback those lines.
------- Comment #10 From 2010-10-31 18:06:58 PST -------
(From update of attachment 72256 [details])
So many files.